UpdateDataAutomationLibrary
Updates a data automation library.
Request Syntax
PUT /data-automation-libraries/libraryArn/ HTTP/1.1
Content-type: application/json
{
"clientToken": "string",
"libraryDescription": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- libraryArn
-
The library's ARN.
Length Constraints: Minimum length of 0. Maximum length of 128.
Pattern:
arn:aws(|-cn|-iso|-iso-[a-z]|-us-gov):bedrock:[a-zA-Z0-9-]*:[0-9]{12}:data-automation-library/[a-zA-Z0-9-]{12,36}Required: Yes
Request Body
The request accepts the following data in JSON format.
- clientToken
-
To avoid creating duplicate resources, specify a unique token for this operation.
Type: String
Length Constraints: Minimum length of 33. Maximum length of 256.
Pattern:
[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}Required: No
- libraryDescription
-
A description for the library.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 300.
Pattern:
[a-zA-Z0-9\s!"\#\$%'&\(\)\*\+\,\-\./:;=\?@\[\\\]\^_`\{\|\}~><À-ÖØ-Üßà-öø-üẞ¿¡Œ-œ°£¥₹€§©ª®™¹±-µ✓⑆-⑉฿₽₱₦₣₩₫₺]*Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"libraryArn": "string",
"status": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- libraryArn
-
The library's ARN.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 128.
Pattern:
arn:aws(|-cn|-iso|-iso-[a-z]|-us-gov):bedrock:[a-zA-Z0-9-]*:[0-9]{12}:data-automation-library/[a-zA-Z0-9-]{12,36} - status
-
The library's status.
Type: String
Valid Values:
ACTIVE | DELETING
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
HTTP Status Code: 403
- ConflictException
-
HTTP Status Code: 409
- InternalServerException
-
HTTP Status Code: 500
- ResourceNotFoundException
-
HTTP Status Code: 404
- ThrottlingException
-
HTTP Status Code: 429
- ValidationException
-
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: